<?php
/**
 * BookiFlex Payment Extension
 *
 * @package    BookiFlex
 * @subpackage Payment
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Extensions\Payment\Model\Event;

use BookiFlex\Core\Contract\DeferrerEvent\LatestEventInterface;
use BookiFlex\Core\Contract\DeferrerEvent\Trait\LatestEventTrait;

defined( 'ABSPATH' ) || exit;

class PaymentWasPaid implements LatestEventInterface
{
    use LatestEventTrait;

    public function __construct(private readonly string $identifier)
    {
    }

    public function getIdentifier(): string
    {
        return $this->identifier;
    }
}
